Page MenuHomePhabricator

[analyzer] Use IgnoreImpCasts() instead of reimplementing it.
ClosedPublic

Authored by thakis on Mar 29 2020, 11:01 AM.

Diff Detail

Event Timeline

thakis created this revision.Mar 29 2020, 11:01 AM
Charusso retitled this revision from Use IgnoreImpCasts() instead of reimplementing it. to [analyzer] Use IgnoreImpCasts() instead of reimplementing it..Mar 29 2020, 11:16 AM
Charusso added a reviewer: NoQ.
Charusso added inline comments.Mar 29 2020, 11:16 AM
clang/lib/StaticAnalyzer/Checkers/NullabilityChecker.cpp
512

I think it would make sense to remove the helper-function completely. (Being used 2 times.)

NoQ added a comment.Mar 29 2020, 1:32 PM

Fair!

clang/lib/StaticAnalyzer/Checkers/NullabilityChecker.cpp
512

Yup.

thakis marked an inline comment as done.Mar 30 2020, 10:59 AM
thakis added inline comments.
clang/lib/StaticAnalyzer/Checkers/NullabilityChecker.cpp
512

I didn't do that because I liked the comment that this is for the _Nonnull implicit ARC casts – if I inline the function I have to duplicate the comment.

Charusso accepted this revision.Mar 31 2020, 1:29 PM
Charusso marked an inline comment as done.
Charusso added inline comments.
clang/lib/StaticAnalyzer/Checkers/NullabilityChecker.cpp
512

Well, if you really like that, sure. I believe it is so common to avoid implicit casts we do not need to express it why.

This revision is now accepted and ready to land.Mar 31 2020, 1:29 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 31 2020, 4:35 PM